# Block Storage Log Level

Block Storage v3

## block storage log level list

List log levels of block storage service.

Supported by –os-volume-api-version 3.32 or greater.

    openstack block storage log level list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--host <host>]
        [--service <service>]
        [--log-prefix <log-prefix>]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--host <host>

  List block storage service log level of specified host (name only)

--service <service>

  List block storage service log level of the specified service (name only)

--log-prefix <log-prefix>

  Prefix for the log, e.g. ‘sqlalchemy’

## block storage log level set

Set log level of block storage service

Supported by –os-volume-api-version 3.32 or greater.

    openstack block storage log level set
        [--host <host>]
        [--service <service>]
        [--log-prefix <log-prefix>]
        <log-level>

--host <host>

  Set block storage service log level of specified host (name only)

--service <service>

  Set block storage service log level of specified service (name only)

--log-prefix <log-prefix>

  Prefix for the log, e.g. ‘sqlalchemy’

log-level

  Desired log level

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.